Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchDataproviders.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchDataproviders.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchDataproviders.service.ts	(revision 55570)
@@ -150,7 +150,7 @@
           //compatibilities = " and (datasourcecompatibilityid <> UNKNOWN) and (datasourcecompatibilityid <> openaire2.0_data)"
           compatibilities = " and (datasourcecompatibilityid <> openaire2.0_data)";
         }
-        let url = link+"?query=(((deletedbyinference = false) AND (oaftype exact datasource)) "+((compatibilities && compatibilities.length > 0)?" "+compatibilities+" ":"")+") and (relorganizationid exact "+id+")";
+        let url = link+"?query=(((deletedbyinference = false) AND (oaftype exact datasource)) "+((compatibilities && compatibilities.length > 0)?" "+compatibilities+" ":"")+") and (relorganizationid exact \""+id+"\")";
         url += "&page="+(page-1)+"&size="+size+"&format=json";
 
 
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchPublications.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchPublications.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchPublications.component.ts	(revision 55570)
@@ -338,7 +338,7 @@
 
     var parameters = $event.value;
     //console.info("queryChanged: Execute search query "+parameters);
-    this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size, this.searchUtils.sortBy);
+    //this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size, this.searchUtils.sortBy);
 
   }
 
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/communities/communities.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/communities/communities.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/communities/communities.service.ts	(revision 55570)
@@ -3,13 +3,27 @@
 
 import {CommunityInfo} from '../community/communityInfo';
 import {EnvProperties} from '../../utils/properties/env-properties';
+import {BehaviorSubject, Observable} from "rxjs";
 
 @Injectable()
 export class CommunitiesService {
 
+    public communities: BehaviorSubject<CommunityInfo[]> = null;
+
     constructor(private http: Http) {
+        this.communities = new BehaviorSubject([]);
     }
 
+    updateCommunities(properties: EnvProperties, url: string) {
+        this.getCommunities(properties, url).subscribe(res => {
+                this.communities.next(res);
+        })
+    }
+
+    getCommunitiesState() {
+        return this.communities.asObservable();
+    }
+
     getCommunities(properties: EnvProperties, url: string) {
         return this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
                         .map(res => <any> res.json()).map(res => this.parseCommunities(res));
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistries.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistries.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/entityRegistries.component.ts	(revision 55570)
@@ -166,7 +166,7 @@
     //console.info("queryChanged: Execute search query "+parameters);
     var csv_parameters = $event.value;
 
-    this._getResults(parameters, csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
+    //this._getResults(parameters, csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
   }
   private createFilters():Filter[] {
     var filter_names=["Type","Compatibility Level"];
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts	(revision 55570)
@@ -167,7 +167,7 @@
 
     //console.info("queryChanged: Execute search query "+parameters);
 
-    this._getResults(parameters, csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
+    //this._getResults(parameters, csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
   }
   private createFilters():Filter[] {
     var filter_names=["Type","Compatibility Level"];
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchDataproviders.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchDataproviders.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchDataproviders.component.ts	(revision 55570)
@@ -389,7 +389,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
+    //this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
   }
 
   private handleError(message: string, error) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchDatasets.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchDatasets.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchDatasets.component.ts	(revision 55570)
@@ -309,7 +309,7 @@
 
     var parameters = $event.value;
     //this.getResults(parameters, this.searchUtils.page, this.searchUtils.size, "searchPage");
-    this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size, this.searchUtils.sortBy);
+    //this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size, this.searchUtils.sortBy);
   }
 
   private handleError(message: string, error) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchSoftware.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchSoftware.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/simple/searchSoftware.component.ts	(revision 55570)
@@ -309,7 +309,7 @@
 
     var parameters = $event.value;
     //this.getResults(parameters, this.searchUtils.page, this.searchUtils.size, "searchPage");
-    this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size, this.searchUtils.sortBy);
+    //this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size, this.searchUtils.sortBy);
   }
 
   private handleError(message: string, error) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/communityGuard/connectSubscriber.guard.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/communityGuard/connectSubscriber.guard.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/connect/communityGuard/connectSubscriber.guard.ts	(revision 55570)
@@ -17,7 +17,7 @@
      let errorCode = LoginErrorCodes.NOT_SUBSCRIBER;
      if (!Session.isLoggedIn()) {
        errorCode = LoginErrorCodes.NOT_LOGIN;
-       this.router.navigate(['/user-info'], {queryParams: {'errorCode': errorCode, 'redirectUrl': path}});
+       this.router.navigate(['/user-info'], {queryParams: {'errorCode': errorCode, 'redirectUrl': path, communityId:community}});
        return false;
      } else {
        const obs = this.propertiesService.subscribeEnvironment().mergeMap(properties => {
@@ -30,7 +30,8 @@
            .subscribe(() => this.router.navigate(['/user-info'], {
              queryParams: {
                'errorCode': errorCode,
-               'redirectUrl': path
+               'redirectUrl': path,
+               communityId:community
              }
            }));
        return obs;
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 55570)
@@ -69,17 +69,25 @@
         if(data[0] != null) {
             this.dataProviderInfo.title = {"name": (data[0].englishname)?data[0].englishname: data[0].officialname, "url": data[0].websiteurl};
             this.dataProviderInfo.officialName =  data[0].officialname;
-            var originalId =(data[0].originalId)?data[0].originalId:"";
-            if(originalId && originalId != ""){
-              if(originalId.indexOf("opendoar____::") != -1){
-                this.dataProviderInfo.openDoarId = originalId.split("opendoar____::")[1];
 
-              }else if (originalId.indexOf("re3data_____::") != -1){
-                this.dataProviderInfo.r3DataId = originalId.split("re3data_____::")[1];
+            var pattern = /.{12}::.+/;
+            var originalIds =(data[0].originalId)?data[0].originalId:"";
+
+            let length = Array.isArray(originalIds) ? originalIds.length : 1;
+
+            for(let i=0; i<length; i++) {
+              var originalId = Array.isArray(originalIds) ? originalIds[i] : originalIds;
+              var matched = originalId.match(pattern);
+
+              if(matched && originalId && originalId != ""){
+                if(originalId.indexOf("opendoar____::") != -1){
+                  this.dataProviderInfo.openDoarId = originalId.split("opendoar____::")[1];
+                }else if (originalId.indexOf("re3data_____::") != -1){
+                  this.dataProviderInfo.r3DataId = originalId.split("re3data_____::")[1];
+                }
+                this.dataProviderInfo.originalId = originalId;
               }
-              this.dataProviderInfo.originalId = originalId;
             }
-
         }
 
         if(data[1] != null) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchDatasets.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchDatasets.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchDatasets.service.ts	(revision 55570)
@@ -6,7 +6,7 @@
 import 'rxjs/add/observable/of';
 import 'rxjs/add/operator/do';
 import 'rxjs/add/operator/share';
-import {StringUtils} from '../utils/string-utils.class';
+import {DOI, StringUtils} from '../utils/string-utils.class';
 import { ParsingFunctions } from '../landingPages/landing-utils/parsingFunctions.class';
 import{EnvProperties} from '../utils/properties/env-properties';
 
@@ -361,9 +361,23 @@
 
     numOfSearchDatasets(params: string, properties:EnvProperties, refineParams:string=null):any {
         let url = properties.searchAPIURLLAst+"datasets/count?format=json";
-        if(params != "") {
-          url += "&q=" + StringUtils.URIEncode(params);
+
+        if(params.length > 0){
+          var DOIs:string[] = DOI.getDOIsFromString(params);
+          var doisParams = "";
+
+          for(var i =0 ;i < DOIs.length; i++){
+            doisParams+=(doisParams.length > 0?"&":"")+'doi="'+ DOIs[i]+'"';
+          }
+          if(doisParams.length > 0){
+            url += "&"+doisParams;
+          }else{
+            url += "&q=" + StringUtils.URIEncode(params);
+          }
         }
+        // if(params != "") {
+        //   url += "&q=" + StringUtils.URIEncode(params);
+        // }
         if(refineParams!= null && refineParams != ''  ) {
             url += refineParams;
         }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchOrps.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchOrps.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchOrps.service.ts	(revision 55570)
@@ -6,7 +6,7 @@
 import 'rxjs/add/observable/of';
 import 'rxjs/add/operator/do';
 import 'rxjs/add/operator/share';
-import {StringUtils} from '../utils/string-utils.class';
+import {DOI, StringUtils} from '../utils/string-utils.class';
 import { ParsingFunctions } from '../landingPages/landing-utils/parsingFunctions.class';
 import{EnvProperties} from '../utils/properties/env-properties';
 
@@ -36,6 +36,7 @@
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
                     .map(res => <any> res.json())
+                    //.do(res => console.info(res))
                     .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "other")]);
     }
     searchOrpById (id: string , properties:EnvProperties):any {
@@ -88,6 +89,8 @@
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
                     .map(res => <any> res.json())
+                    //.do(res => console.info(res))
+
                     .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "other")]);
     }
     advancedSearchOrps (params: string, page: number, size: number, sortBy: string, properties:EnvProperties ):any {
@@ -111,6 +114,7 @@
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
       .map(res => <any> res.json())
+      //.do(res => console.info(res))
       .map(res => [res['meta'].total, this.parseResults(res['results'])]);
     }
     searchOrpsForEntity (params: string, page: number, size: number, properties:EnvProperties):any {
@@ -362,9 +366,22 @@
     numOfSearchOrps(params: string, properties:EnvProperties, refineParams:string=null):any {
         let url = properties.searchAPIURLLAst+"other/count?format=json";
 
-        if(params != "") {
-          url += "&q=" + StringUtils.URIEncode(params);
+        if(params.length > 0){
+          var DOIs:string[] = DOI.getDOIsFromString(params);
+          var doisParams = "";
+
+          for(var i =0 ;i < DOIs.length; i++){
+            doisParams+=(doisParams.length > 0?"&":"")+'doi="'+ DOIs[i]+'"';
+          }
+          if(doisParams.length > 0){
+            url += "&"+doisParams;
+          }else{
+            url += "&q=" + StringUtils.URIEncode(params);
+          }
         }
+        // if(params != "") {
+        //   url += "&q=" + StringUtils.URIEncode(params);
+        // }
         if(refineParams!= null && refineParams != ''  ) {
             url += refineParams;
         }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchSoftware.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchSoftware.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchSoftware.service.ts	(revision 55570)
@@ -8,7 +8,7 @@
 import 'rxjs/add/operator/share';
 import { ParsingFunctions } from '../landingPages/landing-utils/parsingFunctions.class';
 import{EnvProperties} from '../utils/properties/env-properties';
-import {StringUtils} from '../utils/string-utils.class';
+import {DOI, StringUtils} from '../utils/string-utils.class';
 @Injectable()
 export class SearchSoftwareService {
     private sizeOfDescription: number = 270;
@@ -35,6 +35,7 @@
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
                     .map(res => <any> res.json())
+                    //.do(res => console.info(res))
                     .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "software")]);
     }
     searchSoftwareById (id: string, properties:EnvProperties ):any {
@@ -86,6 +87,7 @@
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
                     .map(res => <any> res.json())
+                    //.do(res => console.info(res))
                     .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "software")]);
     }
     advancedSearchSoftware (params: string, page: number, size: number, sortBy: string, properties:EnvProperties ):any {
@@ -108,6 +110,7 @@
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
       .map(res => <any> res.json())
+      //.do(res => console.info(res))
       .map(res => [res['meta'].total, this.parseResults(res['results'])]);
     }
     searchSoftwareForEntity (params: string, page: number, size: number, properties:EnvProperties):any {
@@ -369,9 +372,23 @@
 
     numOfSearchSoftware(params: string, properties:EnvProperties, refineParams:string=null):any {
         let url = properties.searchAPIURLLAst+"software/count?format=json";
-        if(params != "") {
-          url += "&q=" + StringUtils.URIEncode(params);
+
+        if(params.length > 0){
+          var DOIs:string[] = DOI.getDOIsFromString(params);
+          var doisParams = "";
+
+          for(var i =0 ;i < DOIs.length; i++){
+            doisParams+=(doisParams.length > 0?"&":"")+'doi="'+ DOIs[i]+'"';
+          }
+          if(doisParams.length > 0){
+            url += "&"+doisParams;
+          }else{
+            url += "&q=" + StringUtils.URIEncode(params);
+          }
         }
+        // if(params != "") {
+        //   url += "&q=" + StringUtils.URIEncode(params);
+        // }
         if(refineParams!= null && refineParams != ''  ) {
             url += refineParams;
         }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchPublications.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchPublications.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/services/searchPublications.service.ts	(revision 55570)
@@ -7,7 +7,7 @@
 
 import {SearchResult}     from '../utils/entities/searchResult';
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
-import {StringUtils} from '../utils/string-utils.class';
+import {DOI, StringUtils} from '../utils/string-utils.class';
 import { ParsingFunctions } from '../landingPages/landing-utils/parsingFunctions.class';
 import{EnvProperties} from '../utils/properties/env-properties';
 
@@ -37,6 +37,7 @@
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
                     .map(res => <any> res.json())
+                    // .do(res => console.info(res))
                     .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "publication")]);
     }
     searchPublicationById (id: string, properties:EnvProperties ):any {
@@ -89,6 +90,7 @@
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
                     .map(res => <any> res.json())
+                    //.do(res => console.info(res))
                     .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "publication")]);
     }
 
@@ -112,6 +114,8 @@
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
       .map(res => <any> res.json())
+      //.do(res => console.info(res))
+
       .map(res => [res['meta'].total, this.parseResults(res['results'])]);
     }
     searchPublicationsForEntity (params: string, page: number, size: number, properties:EnvProperties):any {
@@ -471,9 +475,22 @@
 
     numOfSearchPublications(params: string, properties:EnvProperties, refineParams:string=null):any {
         let url = properties.searchAPIURLLAst+"publications/count?format=json";
-        if(params != "") {
-          url += "&q=" + StringUtils.URIEncode(params);
+        if(params.length > 0){
+          var DOIs:string[] = DOI.getDOIsFromString(params);
+          var doisParams = "";
+
+          for(var i =0 ;i < DOIs.length; i++){
+            doisParams+=(doisParams.length > 0?"&":"")+'doi="'+ DOIs[i]+'"';
+          }
+          if(doisParams.length > 0){
+            url += "&"+doisParams;
+          }else{
+            url += "&q=" + StringUtils.URIEncode(params);
+          }
         }
+        // if(params != "") {
+        //   url += "&q=" + StringUtils.URIEncode(params);
+        // }
         if(refineParams!= null && refineParams != ''  ) {
             url += refineParams;
         }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrps.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrps.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrps.component.ts	(revision 55570)
@@ -177,7 +177,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this.getResults(parameters, this.searchUtils.page,this.searchUtils.size, this.searchUtils.sortBy);
+    //this.getResults(parameters, this.searchUtils.page,this.searchUtils.size, this.searchUtils.sortBy);
     //console.info("queryChanged: Execute search query "+parameters);
 
   }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 55570)
@@ -174,7 +174,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
+    //this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
     //console.info("queryChanged: Execute search query "+parameters);
 
   }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 55570)
@@ -179,7 +179,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
+    //this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
     //console.info("queryChanged: Execute search query "+parameters);
 
   }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDatasets.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDatasets.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDatasets.component.ts	(revision 55570)
@@ -186,7 +186,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this.getResults(parameters, this.searchUtils.page,this.searchUtils.size, this.searchUtils.sortBy);
+    //this.getResults(parameters, this.searchUtils.page,this.searchUtils.size, this.searchUtils.sortBy);
     //console.info("queryChanged: Execute search query "+parameters);
 
   }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchProjects.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 55570)
@@ -181,7 +181,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
+    //this.getResults(parameters, this.searchUtils.page,this.searchUtils.size);
     //console.info("queryChanged: Execute search query "+parameters);
 
   }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchSoftware.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchSoftware.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchSoftware.component.ts	(revision 55570)
@@ -187,7 +187,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this.getResults(parameters, this.searchUtils.page,this.searchUtils.size, this.searchUtils.sortBy);
+    //this.getResults(parameters, this.searchUtils.page,this.searchUtils.size, this.searchUtils.sortBy);
     //console.info("queryChanged: Execute search query "+parameters);
 
   }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchPublications.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchPublications.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/advanced/advancedSearchPublications.component.ts	(revision 55570)
@@ -188,7 +188,7 @@
     this.loadPaging = true;
 
     var parameters = $event.value;
-    this.getResults(parameters, this.searchUtils.page,this.searchUtils.size, this.searchUtils.sortBy);
+    //this.getResults(parameters, this.searchUtils.page,this.searchUtils.size, this.searchUtils.sortBy);
     //console.info("queryChanged: Execute search query "+parameters);
 
   }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchForm.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchForm.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/searchPages/searchUtils/searchForm.component.ts	(revision 55570)
@@ -1,5 +1,4 @@
 import {Component, Input, Output, EventEmitter} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
 import {RouterHelper} from '../../utils/routerHelper.class';
 import {Router} from '@angular/router';
 
@@ -7,8 +6,8 @@
     selector: 'search-form',
     template: `
 
-        <form [class]="(isDisabled)?'uk-margin uk-text-center uk-margin-top uk-disabled':'uk-margin uk-text-center uk-margin-top'">
-                 <input type="text" class="uk-input  uk-width-xlarge" [placeholder]="placeholderText" aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
+        <form [class]="((isDisabled)?'uk-disabled':'')+' uk-margin uk-margin-top '+(setFormCentered?' uk-text-center':'')">
+                 <input type="text" class="uk-input  uk-width-xlarge@l uk-width-medium@m uk-width-auto" [placeholder]="placeholderText" aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
                     <button *ngIf="!link" (click)="keywordChanged()"  type="submit" class=" uk-button  portal-button">
                     <span class="uk-icon" ><svg width="30" height="30" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1.5"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg></span>
                   </button>
@@ -24,7 +23,8 @@
     @Input() keyword: string = '';
     @Input() generalSearch: boolean = false;
     @Input() placeholderText: string = "Type keywords";
-    @Input() link: boolean = false;
+    @Input() link: string = "";
+    @Input() setFormCentered: boolean = true;
     public routerHelper:RouterHelper = new RouterHelper();
 
     @Output() keywordChange  = new EventEmitter();
@@ -43,6 +43,7 @@
         });
     }
     goTo() {
-      this._router.navigate(['/search/find'], { queryParams: this.routerHelper.createQueryParam('keyword',this.keyword) });
+      //this._router.navigate(['/search/find'], { queryParams: this.routerHelper.createQueryParam('keyword',this.keyword) });
+      this._router.navigate([this.link], { queryParams: this.routerHelper.createQueryParam('keyword',this.keyword) });
     }
 }
